Social Fetch
Spotify

Get Spotify artist

Get a Spotify artist by id or profile URL.

Operation

GET/v1/spotify/artist

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

artistIdstring(query)

Optional Spotify artist id for the request.

min 1 chars · max 128 chars

urlstring(query)

Optional Spotify artist URL for the request.

min 1 chars · max 4096 chars

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the artist was found or not found.

one of: found, not_found

dataartist
objectrequirednullable

Artist details when available.

dataartistplatform
stringrequired

Platform for this artist.

one of: spotify

dataartistartistId
stringrequired

Stable Spotify artist identifier.

min 1 chars

dataartistdisplayName
stringrequired

Public display name for the artist.

min 1 chars

dataartistbio
stringrequirednullable

Artist biography text when available.

dataartistavatarUrl
stringrequirednullable

Best available square avatar image URL when available.

dataartistprofileUrl
stringrequired

Canonical public Spotify artist profile URL.

min 1 chars

dataartistverified
booleanrequired

Whether the artist is marked as verified on Spotify.

dataartistexternalLinks
array

Outbound profile links when available.

dataartistexternalLinks[]name
stringrequired

Link label as shown on the artist profile (e.g. INSTAGRAM).

min 1 chars

dataartistexternalLinks[]url
stringrequired

Outbound URL for this link.

min 1 chars

datametrics
objectrequirednullable

Artist metrics when available.

datametricsfollowers
integerrequired

Follower count for the artist.

≥ 0

datametricsmonthlyListeners
integer

Monthly listener count when available.

≥ 0

datametricsworldRank
integer

Global popularity rank when available.

≥ 0

datametricstopCities
array

Top listener cities when available.

datametricstopCities[]city
stringrequired

City name.

min 1 chars

datametricstopCities[]country
stringrequired

ISO country code when available.

min 1 chars

datametricstopCities[]listeners
integerrequired

Monthly listener count for this city when available.

≥ 0

datametricstopCities[]region
string

Region code within the country when available.

datarelatedArtists
arrayrequired

Related artists when available (may be empty).

datarelatedArtists[]artistId
stringrequired

Related artist Spotify id.

min 1 chars

datarelatedArtists[]displayName
stringrequired

Related artist display name.

min 1 chars

datarelatedArtists[]avatarUrl
stringrequirednullable

Best available avatar URL for the related artist.

datarelatedArtists[]profileUrl
stringrequired

Canonical public Spotify URL for the related artist.

min 1 chars

datadiscographySummary
object

Discography counts when available.

datadiscographySummaryalbumCount
integerrequired

Number of albums listed in the artist discography.

≥ 0

datadiscographySummarysingleCount
integerrequired

Number of singles listed in the artist discography.

≥ 0

datadiscographySummarycompilationCount
integerrequired

Number of compilations listed in the artist discography.

≥ 0

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Lookup result. Check `data.lookupStatus` for `found` or `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page